package im.zksy.yjmqserver.system.model;

import java.io.Serializable;
import java.util.Date;

public class UserOnline implements Serializable {

    private static final long serialVersionUID = 3828664348416633856L;

    private String id;
    private Integer userId;
    private String username;
    private String ip;
    private String status;
    private String startVARCHAR;
    private String lastAccessTime;
    private Long timeout;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStartVARCHAR() {
        return startVARCHAR;
    }

    public void setStartVARCHAR(String startVARCHAR) {
        this.startVARCHAR = startVARCHAR;
    }

    public String getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(String lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }

    public Long getTimeout() {
        return timeout;
    }

    public void setTimeout(Long timeout) {
        this.timeout = timeout;
    }
}
